pub mod common;

mod can_run_for_env;
mod cuddle_vars;

use cuddle_clusters::catalog::cuddle_vars::CuddleVars;

use crate::common::{run_test, run_test_with_components};

#[tokio::test]
async fn raw_files() -> anyhow::Result<()> {
    run_test("raw_files").await?;

    Ok(())
}
#[tokio::test]
async fn template_files() -> anyhow::Result<()> {
    run_test("template_files").await?;

    Ok(())
}

#[tokio::test]
async fn both() -> anyhow::Result<()> {
    run_test("both").await?;

    Ok(())
}

#[tokio::test]
async fn jinja() -> anyhow::Result<()> {
    run_test("jinja").await?;

    Ok(())
}

#[tokio::test]
async fn environment() -> anyhow::Result<()> {
    run_test("environment").await?;

    Ok(())
}

#[tokio::test]
async fn with_cuddle_vars() -> anyhow::Result<()> {
    let current_dir = std::env::current_dir()?.join("tests/with_cuddle_vars");

    run_test_with_components(
        "with_cuddle_vars",
        vec![CuddleVars::new(&current_dir).await?],
    )
    .await?;

    Ok(())
}
